PAM_SECURETTY(8)

NAME
pam_securetty - Limit root login to special devices

SYNOPSIS

pam_securetty.so [debug]

DESCRIPTION

pam_securetty is a PAM module that allows root logins only if the user is logging in on a "secure" tty, as defined by the listing in /etc/securetty. pam_securetty also checks to make sure that /etc/securetty is a plain file and not world writable.

This module has no effect on non-root users and requires that the application fills in the PAM_TTY item correctly.

For canonical usage, should be listed as a required authentication method before any sufficient authentication methods.

OPTIONS

debug
    Print debug information.

MODULE SERVICES PROVIDED

Only the auth service is supported.

RETURN VALUES

PAM_SUCCESS
    The user is allowed to continue authentication. Either the user is not root, or the root user is trying to log in on an acceptable device.

PAM_AUTH_ERR
    Authentication is rejected. Either root is attempting to log in via an unacceptable device, or the /etc/securetty file is world writable or not a normal file.

PAM_INCOMPLETE
    An application error occurred. pam_securetty was not able to get information it required from the application that called it.

PAM_SERVICE_ERR
    An error occurred while the module was determining the user's name or tty, or the module could not open /etc/securetty.

PAM_IGNORE
    The module could not find the user name in the /etc/passwd file to verify whether the user had a UID of 0. Therefore, the results of running this module are ignored.

EXAMPLES

    auth  required  pam_securetty.so
    auth  required  pam_unix.so

SEE ALSO

securetty(5), pam.conf(5), pam.d(8), pam(8)

AUTHOR

pam_securetty was written by Elliot Lee <sopwith@cuc.edu>.